org.apache.lucene.analysis.commongrams

## Class CommonGramsFilterFactory

- java.lang.Object
- - org.apache.lucene.analysis.util.AbstractAnalysisFactory
  - - org.apache.lucene.analysis.util.TokenFilterFactory
    - - org.apache.lucene.analysis.commongrams.CommonGramsFilterFactory

All Implemented Interfaces:
  ResourceLoaderAware

Direct Known Subclasses:
  CommonGramsQueryFilterFactory

    public class CommonGramsFilterFactory
    extends TokenFilterFactory
    implements ResourceLoaderAware

Constructs a `CommonGramsFilter`.

     <fieldType name="text_cmmngrms" class="solr.TextField" positionIncrementGap="100">
       <analyzer>
         <tokenizer class="solr.WhitespaceTokenizerFactory"/>
         <filter class="solr.CommonGramsFilterFactory" words="commongramsstopwords.txt" ignoreCase="false"/>
       </analyzer>
     </fieldType>

Since:
  3.1

### Field Summary

### Fields inherited from class org.apache.lucene.analysis.util.AbstractAnalysisFactory

`LUCENE_MATCH_VERSION_PARAM, luceneMatchVersion`

### Constructor Summary

Constructors
Constructor and Description
`CommonGramsFilterFactory(Map<String,String> args)` Creates a new CommonGramsFilterFactory

### Method Summary

All Methods Instance Methods Concrete Methods
`TokenFilter` `create(TokenStream input)` Transform the specified input TokenStream
`CharArraySet` `getCommonWords()`
`void` `inform(ResourceLoader loader)` Initializes this component with the provided ResourceLoader (used for loading classes, files, etc).
`boolean` `isIgnoreCase()`

### Methods inherited from class org.apache.lucene.analysis.util.TokenFilterFactory

`availableTokenFilters, forName, lookupClass, reloadTokenFilters`

### Methods inherited from class org.apache.lucene.analysis.util.AbstractAnalysisFactory

`get, get, get, get, get, getBoolean, getChar, getClassArg, getFloat, getInt, getLines, getLuceneMatchVersion, getOriginalArgs, getPattern, getSet, getSnowballWordSet, getWordSet, isExplicitLuceneMatchVersion, require, require, require, requireBoolean, requireChar, requireFloat, requireInt, setExplicitLuceneMatchVersion, splitAt, splitFileNames`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CommonGramsFilterFactory

    public CommonGramsFilterFactory(Map<String,String> args)

Creates a new CommonGramsFilterFactory

### Method Detail

#### inform

    public void inform(ResourceLoader loader)
                throws IOException

Description copied from interface: `ResourceLoaderAware`
Initializes this component with the provided ResourceLoader (used for loading classes, files, etc).

Specified by:
  `inform` in interface `ResourceLoaderAware`
Throws:
  `IOException`

#### isIgnoreCase

    public boolean isIgnoreCase()

#### getCommonWords

    public CharArraySet getCommonWords()

#### create

    public TokenFilter create(TokenStream input)

Description copied from class: `TokenFilterFactory`
Transform the specified input TokenStream

Specified by:
  `create` in class `TokenFilterFactory`